<!DOCTYPE html>
<html>
    <head>
        <title> cutest Test Results </title>
        <style type='text/css'>
            body { font-family: sans-serif; font-size: 12pt; }
            .warning { padding: 20px; background: #ffed24; font-size: 12pt; text-align: center; }
            .result-success { background: #24ff24; font-size: 20px; text-align: center; }
            .result-failure { background: #ff7095; font-size: 20px; text-align: center; }
            h2 { font-size: 14pt; font-weight: bold; }
            h3 { font-size: 12pt; font-weight: bold; }
            table { background: #ffffff; width: 100%; font-size: 10pt; }
            table tr.pass { background: #ccffcc; }
            table tr.fail { background: #ffcccc; }
            table tr             { font-size: 12pt; border: solid 1px #000066; }
            table tr td          { padding: 10px; border: solid 1px #000033; }
            table tr td ul li,             table tr td ol li    { margin: 10px 0; }
            table tr td ol       { list-style-type: upper-latin; }
            table tr .test-set   { font-size: 10pt; }
            table tr .test       { font-size: 10pt; }
            table tr .prereq     {  }
            table tr .result     { text-align: center; font-size: 10pt; font-weight: bold; }
            table tr .expected   { font-family: monospace; font-size: 10pt; }
            table tr .actual     { font-family: monospace; font-size: 10pt; }
            table tr .comments   { font-size: 10pt; }
            table .prereqs { font-size: 8pt; }
            table .prereqs ul li { margin: 0; }
            table .prereqs ul { margin: 0; }
            table tr.summary { background: #000000; color: #ffffff; }
            table tr.descriptions { font-size: 8pt; text-align: center; }
            table .spacer { height: 20px; }
        </style>
    </head>
    <body>
    <div class='warning'>Warning: Make sure to check if all tests finish (there will be a message at the end of the file) - <br>
    It is possible for your program to crash early, but still show that tests have passed because it hasn't gone through everything.</div>
<div id='test-list'><h2>Test list:</h2>

<a href='#Test_ArrayStack'>Test_ArrayStack</a> | <a href='#Test_LinkedStack'>Test_LinkedStack</a></div>

<h2>Results:</h2>
<a name='Test_ArrayStack' href='#Test_ArrayStack'><h3>Test_ArrayStack</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      StackTester::Test_ArrayStack <br><div class='prereqs'>Prerequisite functions: <ul><li>Push</li><li>Get</li><li>Pop</li><li>Size</li><li>IsEmpty</li></ul></div>      
</td>
<td class='test'>          ArrayStack - Check if Push, Get, Pop, Size, and IsEmpty is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol>  </ol> </td>
<td class='actual'>   <ol>  </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR StackTester::Test_ArrayStack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_LinkedStack' href='#Test_LinkedStack'><h3>Test_LinkedStack</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      StackTester::Test_LinkedStack <br><div class='prereqs'>Prerequisite functions: <ul><li>Push</li><li>Get</li><li>Pop</li><li>Size</li><li>IsEmpty</li></ul></div>      
</td>
<td class='test'>          LinkedStack - Check if Push, Get, Pop, Size, and IsEmpty is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol>  </ol> </td>
<td class='actual'>   <ol>  </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR StackTester::Test_LinkedStack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
    </table>
    <div class='result-failure '>2 testsets ran; 0 testsets passed</div>
    </body>
</html>
